# Create your views here.
from django.template import RequestContext
from django.shortcuts import render_to_response
from django.contrib.contenttypes.models import ContentType

def index(request):
    context = RequestContext(request, {})
    return render_to_response("index.html", context)

def edit(request, ctype_id):
    ctypes = []
    content_type_id = int(ctype_id)
    for c in ContentType.objects.all():
        if hasattr(c.model_class(), 'is_openmumbai_model'):
            ctypes.append(c)

    context = RequestContext(request, {
        'ctypes': ctypes,
        'content_type_id': ctype_id
    })
    return render_to_response("edit.html", context)
